[arch-commits] Commit in gnome-phone-manager/trunk (2 files)

Jan de Groot jgc at archlinux.org
Sat Aug 2 17:57:00 EDT 2008


    Date: Saturday, August 2, 2008 @ 17:56:59
  Author: jgc
Revision: 7549

upgpkg: gnome-phone-manager 0.60-1
    Remove update-desktop-database and gtk-update-icon-cache, not needed. Update to 0.6

Modified:
  gnome-phone-manager/trunk/PKGBUILD
  gnome-phone-manager/trunk/gnome-phone-manager.install

-----------------------------+
 PKGBUILD                    |   23 +++++++++++------------
 gnome-phone-manager.install |   11 -----------
 2 files changed, 11 insertions(+), 23 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-02 21:54:09 UTC (rev 7548)
+++ PKGBUILD	2008-08-02 21:56:59 UTC (rev 7549)
@@ -2,29 +2,28 @@
 # Maintainer: Roman Kyrylych <roman at archlinux.org>
 
 pkgname=gnome-phone-manager
-pkgver=0.40
+pkgver=0.60
 pkgrel=1
 pkgdesc="Control your mobile phone from your GNOME 2 desktop."
 arch=('i686' 'x86_64')
 url="http://live.gnome.org/PhoneManager"
 license=('GPL')
-depends=('evolution-data-server>=1.12.1' 'gnokii>=0.6.22' 'gnome-bluetooth>=0.9.1'
-         'gstreamer0.10>=0.10.14' 'gnome-icon-theme>=2.20.0' 'gconf>=2.18.0.1-4')
+depends=('evolution-data-server>=2.22.3' 'gnokii>=0.6.22' 'gnome-bluetooth>=0.11.0' 'gstreamer0.10>=0.10.20' 'gnome-icon-theme>=2.22.0' 'gtkspell')
 makedepends=('perlxml')
 options=('!emptydirs')
 install=gnome-phone-manager.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/0.40/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('38537c212e9b2395cf89187ab2be3b9a')
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/0.60/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('f9497833b24c0100dc844853f434a9e2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var
+              --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas \
-    ${startdir}/pkg/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${pkgdir}/usr/share/gconf/schemas
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas \
+    ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Modified: gnome-phone-manager.install
===================================================================
--- gnome-phone-manager.install	2008-08-02 21:54:09 UTC (rev 7548)
+++ gnome-phone-manager.install	2008-08-02 21:56:59 UTC (rev 7549)
@@ -2,7 +2,6 @@
 
 post_install() {
   usr/sbin/gconfpkg --install ${pkgname}
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 pre_upgrade() {
@@ -16,13 +15,3 @@
 pre_remove() {
   usr/sbin/gconfpkg --uninstall ${pkgname}
 }
-
-post_remove() {
-  update-desktop-database -q
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-}
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list